<!DOCTYPE html>
<html>

<head>
    <title>{{config('app.name')}}</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="format-detection" content="telephone=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="author" content="">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <link rel="stylesheet" type="text/css" href="{{asset('t2/css/bootstrap.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('t2/css/style.css')}}">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500&family=Lato:wght@300;400;700&display=swap" rel="stylesheet">
    <!-- script
    ================================================== -->
    <script src="{{asset('t2/js/modernizr.js')}}"></script>
</head>

<body data-bs-spy="scroll" data-bs-target="#navbar" data-bs-root-margin="0px 0px -40%" data-bs-smooth-scroll="true" tabindex="0">


    <div class="search-popup">
        <div class="search-popup-container">

            <form role="search" method="get" class="search-form" action="">
                <input type="search" id="search-form" class="search-field" placeholder="Type and press enter" value="" name="s" />
                <button type="submit" class="search-submit"><svg class="search">
                        <use xlink:href="#search"></use>
                    </svg></button>
            </form>

            <h5 class="cat-list-title">Browse Categories</h5>

            <ul class="cat-list">
                <li class="cat-list-item">
                    <a href="#" title="Mobile Phones">Mobile Phones</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Smart Watches">Smart Watches</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Headphones">Headphones</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Accessories">Accessories</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Monitors">Monitors</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Speakers">Speakers</a>
                </li>
                <li class="cat-list-item">
                    <a href="#" title="Memory Cards">Memory Cards</a>
                </li>
            </ul>

        </div>
    </div>

    <header id="header" class="site-header header-scrolled position-fixed text-black bg-light">
        <nav id="header-nav" class="navbar navbar-expand-lg px-3 mb-3">
            <div class="container-fluid">
                <a class="navbar-brand" href="index.html">
                    <img src="{{asset('logos/main.png')}}" style="    width: 11%;" class="logo">
                </a>
                <button class="navbar-toggler d-flex d-lg-none order-3 p-2" type="button" data-bs-toggle="offcanvas" data-bs-target="#bdNavbar" aria-controls="bdNavbar" aria-expanded="false" aria-label="Toggle navigation">
                    <svg class="navbar-icon">
                        <use xlink:href="#navbar-icon"></use>
                    </svg>
                </button>
                <div class="offcanvas offcanvas-end" tabindex="-1" id="bdNavbar" aria-labelledby="bdNavbarOffcanvasLabel">
                    <div class="offcanvas-header px-4 pb-0">
                        <a class="navbar-brand" href="index.html">
                            <img src="{{asset('logos/main.png')}}" style="    width: 11%;" class="logo">
                        </a>
                        <button type="button" class="btn-close btn-close-black" data-bs-dismiss="offcanvas" aria-label="Close" data-bs-target="#bdNavbar"></button>
                    </div>
                    <div class="offcanvas-body">
                        <ul id="navbar" class="navbar-nav text-uppercase justify-content-end align-items-center flex-grow-1 pe-3">
                            <li class="nav-item">
                                <a class="nav-link me-4 active" href="#billboard">Home</a>
                            </li>

                            @foreach ($grados as $g )
                            <li class="nav-item">
                                <a class="nav-link me-4" href="{{route('home.getCusrsoTolibros', $g->id)}}">{{$g->nombre}}</a>
                            </li>
                            @endforeach

                        </ul>
                    </div>
                </div>
            </div>
        </nav>
    </header>

    <section id="subscribe" class="container-grid padding-large position-relative overflow-hidden">
        <div class="container">
            <div class="row">
                <div class="subscribe-content bg-dark d-flex flex-wrap justify-content-center align-items-center padding-medium">
                    <div class="col-md-6 col-sm-12">
                        <div class="display-header pe-3">
                            <h2 class="display-7 text-uppercase text-light">{{config('app.name')}}</h2>
                            <p>SI ERES ADMINSTRADOR O PROFESOR.</p>
                        </div>
                    </div>
                    <div class="col-md-5 col-sm-12">
                        <form class="subscription-form validate" action="{{ route('login') }}">
                            <div class="input-group flex-wrap">

                                <button type="submit" class="btn btn-medium btn-primary text-uppercase btn-rounded-none" type="submit">INICIAR SESION</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="container">
        <div class="row">
            <div class="col text-center">
                <img src="{{asset('logos/fondo2.png')}}" alt="">
            </div>
        </div>
    </div>


    <div class="row mt-5 p-5">
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">MISION</h4>
                    <p class="card-text">Ser una institución educativa e incluyente que contribuya a la formación integral de los niños y niñas de edad escolar, como parte de una nación multicultural, intercultural y plurilingüe, para que les permitan desembolsarse desarrollarse y con ello alcanzar y mejorar las condiciones individuales y familiares, así como la continuidad de sus estudios de nivel básico, lo cual les permitirá aplicar los conocimientos al mundo competitivo y de tecnología que está en continuos cambios, a través de una educación de calidad con equidad, participación y pertenencia de la comunidad educativa.</p>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">VISION</h4>
                    <p class="card-text">Somos una institución educativa incluyente, innovadora y proactiva, que brinda educación de calidad con igualdad de oportunidades, comprometida en la formación integral de niños y niñas, preparados para un mundo competitivo y de avances tecnológicos que mejore la calidad de vida.</p>
                </div>
            </div>
        </div>
    </div>





    <div id="footer-bottom">
        <div class="container">
            <div class="row d-flex flex-wrap justify-content-between">

                <div class="col-md-4 col-sm-6">
                    <div class="copyright">
                        <p>© Copyright <?php echo date('Y'); ?> {{config('app.name')}}.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="{{asset('t2/js/jquery-1.11.0.min.js')}}"></script>
    <script src="https://cdn.jsdelivr.net/npm/swiper/swiper-bundle.min.js"></script>
    <script type="text/javascript" src="{{asset('t2/js/bootstrap.bundle.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('t2/js/plugins.js')}}"></script>
    <script type="text/javascript" src="{{asset('t2/js/script.js')}}"></script>
</body>

</html>